#### D.5.11.4 TestJMark

Procedure from library `JMBTest.lib` (see JMBTest_lib).

Usage:
  TestJMark(G); G list

Return:
  int: i

Note:
  This procedure performs J-marked basis test.
  The input is a list of J-marked polynomials (jmp) arranged by degree, so G1 is a list of list.
  The output is a boolean evaluation:
  True=1/False=0

Example:

    LIB "JMBTest.lib";
    ring r=0, (x,y,z), rp;
    jmp r1;
    r1.h=z^3;
    r1.t=poly(0);
    jmp r2;
    r2.h=z^2*y;
    r2.t=poly(0);
    jmp r3;
    r3.h=z*y^2 ;
    r3.t=-x^2*y;
    jmp r4;
    r4.h=y^5;
    r4.t=poly(0);
    list G2F=list(list(r1,r2,r3),list(r4));
    TestJMark(G2F,r);
    ==> NOT A BASIS
    ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.